Bug 243178 - [patch]"reposync --newest-only" bug in size comparison of existing rpm
[patch]"reposync --newest-only" bug in size comparison of existing rpm
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 14:02 EDT by Mohd Izhar Firdaus Ismail
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 10:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for the wrong size comparison (513 bytes, patch)
2007-06-07 14:02 EDT, Mohd Izhar Firdaus Ismail
no flags Details | Diff

  None (edit)
Description Mohd Izhar Firdaus Ismail 2007-06-07 14:02:08 EDT
Description of problem:
bug in size comparison of existing rpm, reposync doesnt download newest only

Version-Release number of selected component (if applicable):
yum-utils-1.1.4-1.fc7

How reproducible:
everytime

Steps to Reproduce:
1. run reposync in existing repository
  
Actual results:
reposync download everything including existing rpm

Expected results:
reposync download only newest rpm

Additional info:
patch attached
Comment 1 Mohd Izhar Firdaus Ismail 2007-06-07 14:02:08 EDT
Created attachment 156492 [details]
fix for the wrong size comparison
Comment 2 Seth Vidal 2007-06-07 16:03:31 EDT
pretty sure this is alrerady fixed in cvs. Please check out this ver of reposync
and let me know i it fixes it for you:
http://devel.linux.duke.edu/cgi-bin/viewcvs.cgi/yum-utils/reposync.py?revision=1.15&content-type=text%2Fplain&pathrev=1.15
Comment 3 Mohd Izhar Firdaus Ismail 2007-06-08 02:51:39 EDT
confirmed .. the bug was fixed upstream

Note You need to log in before you can comment on or make changes to this bug.